import chalk from "chalk";
import { execaCommand } from "execa";
import { logLine } from "../../shared/cli/lines.js";
import { withSpinner } from "../../shared/cli/spinners.js";
async function runCommand(command, label) {
  const succeeded = await withSpinner(async () => {
    try {
      await execaCommand(command);
      return true;
    } catch {
      return false;
    }
  }, label);
  if (!succeeded) {
    logLine();
    logLine(
      [
        chalk.yellow(`\u26A0\uFE0F Running \``),
        chalk.yellowBright(command),
        chalk.yellow(`\` failed. You should run it and fix its complaints.`)
      ].join("")
    );
  }
}
export {
  runCommand
};
