import { Octokit } from 'octokit';

type GetterDefaultInputValues = {
    [K in keyof DefaultInputValues]: (() => Promise<DefaultInputValues[K]>) | DefaultInputValues[K];
};
interface DefaultInputValues {
    author: string | undefined;
    description: string;
    email: string | undefined;
    funding: string | undefined;
    owner: string | undefined;
    releases: boolean | undefined;
    repository: string;
    skipApi: boolean;
    skipRemoval: boolean;
    skipRestore: boolean;
    skipUninstalls: boolean;
    title: string;
    unitTests: boolean | undefined;
}
interface InputValues extends DefaultInputValues {
    owner: string;
}
interface InputValuesAndOctokit {
    octokit: Octokit | undefined;
    values: InputValues;
}
declare function getInputValuesAndOctokit(args: string[], defaults?: Partial<GetterDefaultInputValues>): Promise<InputValuesAndOctokit>;

export { DefaultInputValues, GetterDefaultInputValues, InputValues, InputValuesAndOctokit, getInputValuesAndOctokit };
